#!/usr/bin/env python

################################################################################
# Copyright (C) 2014, 2015 GenAP, McGill University and Genome Quebec Innovation Centre
#
# This file is part of MUGQIC Pipelines.
#
# MUGQIC Pipelines is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# MUGQIC Pipelines is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with MUGQIC Pipelines.  If not, see <http://www.gnu.org/licenses/>.
################################################################################

# Python Standard Modules
import os

# MUGQIC Modules
from core.config import *
from core.job import *

def verify (input_bam, input_vcf, output_prefix, job_name = None ):
    return Job(
        [ input_bam, input_vcf ],
        [ output_prefix + ".selfSM" ],
        [
            ['dnaseq_qc', 'module_verify_bam_ID']
        ],
        command="""\
verifyBamID  \\
--vcf {input_vcf} \\
--bam {input_bam} \\
--out {output_prefix} \\
--verbose --ignoreRG --noPhoneHome""".format(
            input_vcf=input_vcf,
            input_bam=input_bam,
            output_prefix=output_prefix
        ),
        name=job_name if job_name else "verifyBamID"
    )
